import React, { useEffect } from "react"
import { isAuthenticated } from "../../services/auth"
import { navigate } from "gatsby"

const PrivateRoute = ({ component: Component, location, ...rest }) => {
	useEffect(() => {
		if (!isAuthenticated() && location.pathname !== `/auth/signin`) {
			navigate("/auth/signin")
			return null
		}
		// eslint-disable-next-line react-hooks/exhaustive-deps
	}, [])

	return <Component {...rest} />
}

export default PrivateRoute
